%define upstream_name    MooseX-AttributeShortcuts
%define upstream_version 0.022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Shorthand for common attribute options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::CoercePerAttribute)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::Types::Common::String)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::Moose::More) >= 0.17.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(aliased)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Ever find yourself repeatedly specifing writers and builders, because
there's no good shortcut to specifying them? Sometimes you want an
attribute to have a read-only public interface, but a private writer. And
wouldn't it be easier to just say "builder => 1" and have the attribute
construct the canonical "_build_$name" builder name for you?

This package causes an attribute trait to be applied to all attributes
defined to the using class. This trait extends the attribute option
processing to handle the above variations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.22.0-2.mga4
+ Revision: 538234
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 0.22.0-1.mga4
+ Revision: 489067
- update to 0.022

* Mon Sep 09 2013 sander85 <sander85> 0.21.0-1.mga4
+ Revision: 476627
- update to 0.021

* Tue Aug 20 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 468177
- update to 0.020

* Sun Jan 13 2013 umeabot <umeabot> 0.17.0-2.mga3
+ Revision: 370137
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.17.0-1.mga3
+ Revision: 316102
- update to 0.017

* Wed Sep 26 2012 jquelin <jquelin> 0.15.0-1.mga3
+ Revision: 298331
- update to 0.015

* Tue Jun 05 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 255170
- update to 0.010

* Mon Feb 06 2012 jquelin <jquelin> 0.8.0-1.mga2
+ Revision: 205172
- imported package perl-MooseX-AttributeShortcuts


* Mon Feb 06 2012 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
